<back to all web services

GetTranslationReview

The following routes are available for this service:
GET/RestApi/translations/review/{id}
namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations

open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations

    [<AllowNullLiteral>]
    type GetTranslationReview() = 
        member val Id:Guid = new Guid() with get,set

    [<AllowNullLiteral>]
    type TranslationUnitProxy() = 
        member val PropertyName:String = null with get,set
        member val SourceValue:String = null with get,set
        member val TargetValue:String = null with get,set

    [<AllowNullLiteral>]
    type TranslationUnitGroupProxy() = 
        member val Name:String = null with get,set
        member val Units:IList<TranslationUnitProxy> = null with get,set

    [<AllowNullLiteral>]
    type TranslationReviewProxy() = 
        member val ActualSourceLanguage:String = null with get,set
        member val TargetLanguage:String = null with get,set
        member val ItemType:String = null with get,set
        member val UnitGroups:IList<TranslationUnitGroupProxy> = null with get,set

F# GetTranslationReview DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/review/{id} HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}